%define		_state		stable
%define		orgname		audiocd-kio
%define		qtver		4.8.1

Summary:	Audiocd protocol for konqueror
Summary(pl.UTF-8):	Protokół audiocd dla konquerora
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	f298189165b4c864527090b50beb904d
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cdparanoia-III-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	flac-devel >= 1.1.2
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkcddb-devel
BuildRequires:	kde4-libkcompactdisc-devel
BuildRequires:	libogg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel
BuildRequires:	phonon-devel >= 4.4.1
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-libkcddb >= %{version}
Requires:	kde4-konqueror >= %{version}
Provides:	kdemultimedia(audiocd) = %{version}-%{release}
Obsoletes:	kde4-kdemultimedia-audiocd < 4.8.99-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows konqueror to play audiocd's without the need of an
external application. Just enter audiocd:/ in the location field.

%description -l pl.UTF-8
Ten pakiet pozwala konquerorowi odtwarzanie płyt z muzyką bez potrzeby
używania zewnętrznej aplikacji. Po prostu wpisz audiocd:/ w pole
adresu.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

#%find_lang kio_audiocd	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_audiocd.so
%attr(755,root,root) %{_libdir}/kde4/kio_audiocd.so
%attr(755,root,root) %{_libdir}/kde4/libaudiocd_encoder*.so
%attr(755,root,root) %{_libdir}/libaudiocdplugins.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudiocdplugins.so.?
%{_datadir}/config.kcfg/audiocd_*_encoder.kcfg
%{_datadir}/kde4/services/audiocd.protocol
%{_datadir}/kde4/services/audiocd.desktop
%{_datadir}/apps/solid/actions/solid_audiocd.desktop
%{_datadir}/apps/konqsidebartng/virtual_folders/services/audiocd.desktop
%lang(en) %{_kdedocdir}/en/kioslave/audiocd
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-audiocd-kio.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 374dc56
- rebuild for g++ ABI changes
- release 3 (by relup.sh)

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 18a610d
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 5000efb
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d93060c
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f805fd4
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3037657
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> eb88e91
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 89aff39
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> cded11f
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d4a769e
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5a91ee2
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4851e14
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 09bfff9
- 4.12.0

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> d386829
- Up to 4.11.4.

* Thu Jun 20 2013 Jan Rękorajski <baggins@pld-linux.org> 4e1bc6d
- updated BRs

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 7a8c103
- updated to 4.10.4 (by update-kde4.sh)

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> 7f0f722
- updating files

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> b1ea800
- 4.10.0

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 7e42ce0
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 4636249
- updated to 4.9.4

